:root {
    --theme-color-black: #000000;
    --theme-color-red : #E50505;
    --theme-color-red-headline:#ED220D;
    --theme-color-red-error:#EE230C;
    --theme-color-red-link:#EE230C;
    --theme-color-red-light : #fcf0f0;
    --theme-border-color : #e0e6ed;
    --theme-color-label-grey : #5E5E5E;
    --theme-color-label-grey2:#4E4E4E;
    --theme-color-dark-grey : #3E3E3E;
    --theme-color-grey-1 : #F4F3FC;
    --theme-color-grey-2 : #A6A5B5;
    --theme-color-grey-3 : #797979;
    --theme-color-grey-4 : #D5D5D5;
    --theme-color-green: #def4e3;
    --theme-font-el-messiri : "El Messiri", "Nunito", Sans-Serif, serif;
    --theme-font-el-messiri-alone: "El Messiri";
    --theme-font-nunito: "Nunito";
    --theme-color-summary : #ECCFCF;
    --theme-color-message : #E1F8F8;
    --theme-color-support: #F3F6EE;
    --theme-color-yellow: #FDECBF;
    --theme-color-muted-red : #FCF0F0;
    --theme-color-submit-delivery: #F8EBE0;
    --theme-color-rate-review: #e7d5e4;
    --theme-color-violet: #eae8f9;
    --theme-color-withdraw-dispute: #def4e3;
    --theme-color-resolve-dispute: #def4e3;
    --theme-color-todo : #eccfcf;
    --theme-color-dispute-slip: #e1d8e1;
    --theme-color-light-red : #FB927F;
    --theme-color-white : #FFFFFF;
    --theme-color-orange:#FFE9D2;
}
.border-color-dark-black {
    border-color: var(--theme-color-black) !important;
}
.border-color-theme {
    border-color: var(--theme-border-color) !important;
}
.border-color-dark-red {
    border-color: var(--theme-color-red) !important;
}
.theme-border-style {
    border:2px dotted var(--theme-border-color);
}
.theme-border-stylei {
    border:1px dotted var(--theme-border-color) !important;
}
.theme-rounded-corners {
    border-radius: 16px;
}
/*slider pagination*/
.slider-previous,
.slider-next {
    width: 45px;
    height: 45px;
    border-radius: 50%;
    padding: 8px;
    margin: 0 1em;
    box-shadow: 0 0 20px -9px rgb(52, 52, 52);
    transition: all 0.5s ease;
}
.slider-previous:hover,
.slider-next:hover {
    box-shadow: 0 0 20px -9px rgb(246, 21, 21);
}
.slider-previous {
    background: #fff url('../icons/previous.svg') no-repeat center center;
}
.slider-previous:hover {
    background: #fff url('../icons/previous-hover.svg') no-repeat center center;
}
.slider-next {
    background: #fff url('../icons/next.svg') no-repeat center center;
}
.slider-next:hover {
    background: #fff url('../icons/next-hover.svg') no-repeat center center;
}
.table-order-selector {
    border-left: 1px solid var(--theme-border-color);
    border-right: 1px solid var(--theme-border-color);
}
/*card*/
.card {
    border: 1px solid var(--theme-border-color);
    border-radius: 15px;
    /* border-radius: 28px; */
}
.card,
.card:hover {
    box-shadow: none;
}
.card .card-header {
    border-top-left-radius: 16px;
    border-top-right-radius: 16px;
    background-color: var(--theme-color-red-light);
    padding: 8px 16px;
    border-bottom: 1px solid var(--theme-border-color);
}
.card .card-header .card-title img {
    vertical-align: middle;
    width: 35px;
}
.card .card-body {
    /* border-bottom-left-radius: 16px;
    border-bottom-right-radius: 16px; */
    border-radius: 18px;
    /* box-shadow: 0 0 40px 0 rgb(94 92 154 / 6%); */
    /* box-shadow: 0 8px 18px rgba(0, 0, 0, 0.5); */
}
#card-container .card::after{
    z-index: 10000;
position: absolute;
content: '';
box-shadow: rgba(0, 0, 0, 0.45) 0px 20px 20px -20px;
bottom: -2px;
height: 60px;
width: 101%;
left: -35px !important;
margin: 0 auto;
right: -35px;
max-width: 1126px;
}
.text-secondary{
    align-items: center;
}
.text-secondary-style {
    text-align: center;
    padding: 5px 5px;
    border-radius: 20px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
}
.card .card-innerbody {
    border-bottom-left-radius: 16px;
    border-bottom-right-radius: 16px;

}
/*.tab-pane table:not(tfoot) tr:last-child {
    border-bottom: none;
}
.tab-pane table:not(tfoot) tr td:first-child,
.tab-pane table tfoot tr td:first-child {
    border-bottom-left-radius: 16px;
}
.tab-pane table:not(tfoot) tr td:last-child,
.tab-pane table tfoot tr td:last-child {
    border-bottom-right-radius: 16px;
}*/
.card .card-body table tbody tr:last-child {
    border-bottom: none;
}
.card .card-header .card-title,
.nav-tab-container .control-text {
    margin: 0;
    color: var(--theme-color-dark-grey);
    font-family: var(--theme-font-el-messiri);
    font-size: 1.25em;
}
.card table th {
    font-weight: normal;
}
.card table tr th{
    border-bottom: none;
}
.card table:not(.rounded-0) thead th:first-child {
    /* border-top-left-radius: 16px; */
}

/*datatable*/
div.dataTables_wrapper div.dataTables_info {
    color: var(--theme-color-grey-2) !important;
}



/*tracking stamps*/
.stamps {
    position: relative;
    display: flex;
    justify-content: start;
    align-items: center;
    /* overflow-x: auto; */
}


/* Customize the scrollbar */
.stamps::-webkit-scrollbar {
    width: 2px; /* Width of the vertical scrollbar */
    height: 4px; /* Height of the horizontal scrollbar */
    border: 1px solid #d5d5d5; /* Border around the scrollbar */
  }

  .stamps::-webkit-scrollbar-track {
    border-radius:2px; /* Square corners for the track */
    background: #fff; /* Background color of the track */
  }

  .stamps::-webkit-scrollbar-thumb {
    border-radius: 0; /* Square corners for the thumb */
    background: cyan; /* Color of the thumb for vertical scrollbar */
  }

  .stamps::-webkit-scrollbar-thumb:horizontal {
    background: #d3d3d3; /* Color of the thumb for horizontal scrollbar */
    border-radius: 3px; /* Slightly rounded corners for horizontal thumb */
  }

  /* Cross-browser compatibility for Firefox */
  .stamps {
    scrollbar-width: 2px; /* Set scrollbar width for Firefox */
    scrollbar-color: yellow; /* Thumb and track colors for Firefox */
  }
.stamps .stamp:not(:first-child){
    margin-left: 100px;
}
.stamps .stamp {
    display: block;
    position: relative;
    text-align: center;
    min-width: 180px;
}
.stamps .stamp img {
    max-height: 45px;
    max-width: 45px;
    margin: 8px 0;
}
.stamps .stamp span {
    display: block;
    font-size: 0.95em;
    letter-spacing: 0.04em;
}
.stamps .stamp span.stamp-text {
    color: var(--theme-color-grey-3);
}
 .stamps .stamp span.time-stamp {
     color: var(--theme-color-grey-2);
     font-size: 0.70em;
     padding: 2px 0;
 }
 .stamps .stamp.active span.stamp-text {
     color: var(--theme-color-black);
 }
.stamps .stamp::before {
    content: "";
    position: absolute;
    left: -100px;
    width: 100px;
    top: calc(50% - 2px);
    border-bottom: 2px dotted var(--theme-color-grey-4);
}
.stamps .stamp.active::before {
    border-bottom: 2px solid var(--theme-color-red);
}
.stamps .stamp:first-child::before {
    display: none;
}
/*tabs*/
/*.nav-tab-container {
    position: relative;
    width: 100%;
}
.nav-tab-container.control-actions {
    background-color: var(--theme-color-red-light);
    border-radius: 16px;
    border: 1px solid var(--theme-border-color);
}
.nav-tab-container .control-text {
    text-align: center;
    padding: 12px 0;
}
.nav-tab-container .nav-tabs {
    position: relative;
    border-bottom: 1px solid var(--theme-border-color);
    margin-bottom: 0;
    min-width: 100%;
}
.nav-tab-container .nav-tabs:after {
    content: "";
    position: absolute;
    left: 0;
    bottom: -20px;
    right: 0;
    height: 19px;
    background-color: var(--theme-border-color);
    border-bottom: 1px solid var(--theme-border-color);
    border-left:1px solid var(--theme-border-color);
    border-right: 1px solid var(--theme-border-color);
}
.nav-tab-container .nav-tabs .nav-item:not(:first-child) {
    margin-left: 12px;
}
.nav-tab-container .nav-tabs .nav-item {
    margin-bottom: 0;
}
.nav-tab-container .nav-tabs .nav-link {
    border: none;
    position: relative;
    z-index: 1;
    background-color: transparent;
    padding: 12px 45px 12px 25px;
    text-align: center;
    color: var(--theme-color-grey-3);
}
.nav-tab-container .nav-tabs .nav-link.active {
    color: var(--theme-color-black);
}
.nav-tab-container .nav-tabs .nav-link:after {
    content: "";
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: -1;
    background-color: var(--theme-border-color);
    outline: 1px solid transparent;
    border-radius: 10px 10px 0 0;
    transform: perspective(7px) rotateX(1.5deg) translateZ(-1px);
    transform-origin: 0 0;
    backface-visibility: hidden;
    border-left:1px solid var(--theme-border-color);
    border-top:1px solid var(--theme-border-color);
    border-right:1px solid var(--theme-border-color);
}
.nav-tab-container .nav-tabs .nav-item:not(:first-child){
    margin-left: 1em;
}
.nav-tab-container .nav-tabs .nav-link span {
    position: relative;
    padding-left: 35px;
}
.nav-tab-container .nav-tabs .nav-link span::before {
    content: "";
    position: absolute;
    left: 0;
    width: 30px;
    height: 25px;
    top: -3px;
    background-repeat: no-repeat;
    background-position: center center;
}
.nav-tab-container .tab-content {
    min-width: 100%;
    border-left: 1px solid var(--theme-border-color);
    border-right: 1px solid var(--theme-border-color);
    border-bottom:1px solid var(--theme-border-color);
    padding: 2.5em 1.5em 1em 1em;
    border-bottom-left-radius: 16px;
    border-bottom-right-radius: 16px;
    background-color: #fff;
}
.nav-tab-container .tab-content.zero-padding {
    padding: 2em 0 0 0;
}
.nav-tab-container.control-actions .tab-content {
    border-left: none;
    border-right: none;
    border-bottom: none;
}
.nav-tab-container .nav-tabs .nav-link.active,
.nav-tab-container .nav-tabs .nav-item .nav-link:not(.active){
    background-color: transparent;
}
 */
/*action toggles, message*/
.actions {
    display: inline-block;
    padding: 0.75em 2.5em;
    border: 2px dotted var(--theme-color-grey-4);
    border-radius: 100px;
}
.actions .action-toggles {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
}
.actions .action-toggles img {
    height: 32px;
}
.actions:has(.action-timer) {
    padding: 0.75em 2.5em 0.75em 1.5em;
}
.actions .action-toggles.action-timer img {
    height: 45px;
}
.actions .action-toggles.action-timer p span {
    display: block;
    text-align: left;
}
.actions .action-toggles.action-timer p span.timer-count {
    font-size: 1.5em;
}
.actions .action-toggles.action-timer p span.timer-text {
    font-size: 0.95em;
}
.actions .action-toggles img.icons-info {
    height: 20px;
}
.actions .action-toggles a {
    margin-left: 16px;
}
.actions .action-toggles a:hover {
    color: #0a0000;
}
.order-manager-toggle-order-button a {
    min-width: 100px;
    border: 2px solid var(--theme-border-color);
    text-decoration: none;
    color: var(--theme-color-grey-3);
}
.order-manager-toggle-order-button a:first-child {
    border-top-left-radius: 20px;
    border-bottom-left-radius: 20px;
}
.order-manager-toggle-order-button a:last-child {
    border-top-right-radius: 20px;
    border-bottom-right-radius: 20px;
}
.order-manager-toggle-order-button a:hover {
    color: inherit;
}
.order-manager-toggle-order-button a:first-child:hover,
.order-manager-toggle-order-button a.active:first-child {
    border-color: var(--theme-color-red);
    background-color: var(--theme-color-red-light);
    color: var(--theme-color-red);
}
.order-manager-toggle-order-button a:last-child:hover,
.order-manager-toggle-order-button a.active:last-child {
    border-color: var(--theme-color-black);
    background-color: var(--theme-color-grey-1);
    color: var(--theme-color-black);
}
.text-theme-grey {
    color: var(--theme-color-grey-3);
}
table tfoot td {
    background-color: rgba(234, 241, 255, 0.74);
}
.table > tbody tr:nth-child(even) {
    background-color: #f1f1f1;
}
.dataTable.table-striped.table > thead > tr > th {
    /*background-color: var(--theme-color-red-light) !important;*/
}
.table-hover:not(.table-dark) tbody tr:hover {
    background-color: var(--theme-color-red-light) !important;
}
.dataTable.table-striped.table > thead > tr > th,
.table > tbody tr {
    /*border-bottom: 2px dotted var(--theme-border-color);*/
    border: none !important;
}
.dataTable tbody tr:hover {
    background-color: var(--theme-color-red-light);
}
.dt--bottom-section {
    border-top: 1px solid var(--theme-border-color);
}
.table tr.align-middle td {
    vertical-align: middle;
}
table td img.image-icon {
    min-width: 25px;
    max-height: 45px;
    max-width: 45px;
}
.alert {
    position: relative;
    min-height: 50px;
    border:1px solid var(--theme-border-color);
    border-radius: 16px;
    margin: 2px;
    padding: 0;
    color: #515365;
    display: flex;
    align-items: stretch;
}
.alert div.icon-container {
    padding: 0.8em 0.95em;
    border-top-left-radius: 16px;
    border-bottom-left-radius: 16px;
    display: flex;
    align-items: center;
    justify-content: center;
}
.alert div.text-container {
    padding: 0.5em 0.85em;
    border-top-right-radius: 16px;
    border-bottom-right-radius: 16px;
}
.alert.hint-box div.text-container {
    color: var(--theme-color-black);
}
.alert.hint-box {
    background-color: #fff;
}
.alert div.icon-container img {
    width: 40px;
    max-height: 40px;
}
.alert:not(.hint-box) div.icon-container {
    border-right: 1px solid var(--theme-border-color);
}
.alert.hint-box .alert-warning div.icon-container,
.alert.alert-warning:not(.hint-box){
    background-color: #FFE9D2;
}
.alert.hint-box .alert-success div.icon-container,
.alert.alert-success:not(.hint-box) {
    background-color: #E5F6E9;
}
.alert-pink div.icon-container {
    background-color: #F9EAF9;
}
.alert-yellow div.icon-container {
    background-color: var(--theme-color-yellow);
}
.alert-light-brown {
    background-color: var(--theme-color-muted-red);
}
.alert-violet div.icon-container {
    background-color: var(--theme-color-violet);
}
.alert p {
    margin: 0.05em;
}
.alert ul {
    padding-left: 15px;
}
.alert ul li {
    position: relative;
    padding-left: 10px;
    margin-bottom: 0.2em;
}
.alert ul li::before {
    content: "";
    position: absolute;
    left: 0;
    top: 8px;
    width: 4px;
    height: 4px;
    border-radius: 2px;
    background-color: #515365;
}
.alert .alert-timer {
    border-radius: 50%;
    padding: 0.25em 0.75em;
    text-align: center;
    border:2px dotted var(--theme-border-color);
    font-size: 1.5em;
    color: #9b9b9b;
}
/*hint message box*/
.hint-box,
.hint-message-box {
    display: inline-flex;
    gap: 3px;
    align-items: center;
    justify-content: center;
    padding: 0.4em 1em;
    font-size: 0.85rem;
    border: 2px dotted var(--theme-border-color);
    border-radius: 100px;
}
.hint-box img {
    width: 25px;
    max-height: 25px;
}
.hint-box p {
    margin-bottom: 0;
    margin-left: 3px;
}
/*hint message*/
.hint-message-box {
    padding: 0.8em 1.5em;
}
.hint-box.hint-box-red,
.hint-message-box.hint-message-box-red {
    border-color: var(--theme-color-light-red);
}
.hint-icon {
    width: 18px;
    vertical-align: middle;
    margin: 0 8px;
    cursor: pointer;
}
.rating-review-box {
    border:2px dotted var(--theme-border-color);
    padding: 0.8em;
    border-radius: 16px;
    position: relative;
}
.rating-review-box .outline-message {
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: rgba(255,255,255,1);
    border-radius: 16px;
}
.rating-review-box.bubble-right:before {

}
.rating-review-box.bubble-right:after {

}
.rating-review-box textarea {
    resize: none;
    border-color: var(--theme-border-color);
}
.rating-review-box button {
    border: none;
    box-shadow: none;
    padding-top: 12px;
    background: none;
}
.rating-review-box button img {
    width: 35px;
    height: 35px;
}
.rating-review-box.dark-black {
    border-color: var(--theme-color-black);
}
.rating-review-box.dark-red {
    border-color: var(--theme-color-red);
}
.file-uploader-new {
    position: relative;
    width: 230px;
    height: 200px;
    transition: all 0.2s ease;
    cursor: pointer;
}
.file-uploader-new.file-uploader-new-sm {
    width: 115px;
    height: 100px;
}
.file-uploader-new::before {
    content: "";
    position: absolute;
    background: url("../images/bg-drop-active.png") no-repeat center center;
    background-size: cover;
    left: 0;
    top: 0;
    bottom: 0;
    right: 0;
}
.file-uploader-new.drop-over::before,
.file-uploader-new:hover::before {
    background-image: url("../images/bg-drop-inactive.png");
}
.file-upload-new-text-content {
    position: relative;
    z-index: 1;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}
.file-uploader-new.file-uploader-new-sm .file-upload-new-text-content {
    font-size: 0.65em;
}
.slider-form {
    position: relative;
    transition: all 0.2s ease;
}
.slider-form .slider-form-container .slider-form-item:not(.show){
    display: none;
}
.slider-form-actions button:not(.show){
    display: none;
}
.image-slider-simple {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 0;
}
.image-slider-simple .image-slider-items {
    cursor: pointer;
}
.image-slider-simple .image-slider-items:not(.show),
.image-slider-simple .image-slider-simple-previous:not(.show),
.image-slider-simple .image-slider-simple-next:not(.show) {
    display: none;
}
.image-slider-simple .image-slider-simple-previous,
.image-slider-simple .image-slider-simple-next {
    width: 60px;
    height: 60px;
    cursor: pointer;
}
.image-slider-simple .image-slider-simple-previous {
    background: url("../icons/previous.svg") no-repeat center center;
}
.image-slider-simple .image-slider-simple-next {
    background: url("../icons/next.svg") no-repeat center center;
}
.image-slider-simple .image-slider-simple-previous:hover {
    background: url("../icons/previous-hover.svg") no-repeat center center;
}
.image-slider-simple .image-slider-simple-next:hover {
    background: url("../icons/next-hover.svg") no-repeat center center;
}
.form-control-custom {
    position: relative;
}
.theme-border {
    border: 2px dotted var(--theme-border-color);
}
.theme-border-red {
    border-color: var(--theme-color-red);
}
.theme-shadow {

}
/*.input-group .form-control:hover,
.input-group .form-control:focus,
.form-control:hover,
.form-control:focus {
    border: 1px solid rgba(239, 12, 21, 0.4);
}

.input-group .form-control:hover,
.input-group .form-control:focus,
.input-group .form-control {
    border-right: none;
}

.input-group:has(.input-group-append) .form-control {
    border-right: 1px solid rgba(239, 12, 21, 0.4);
}
.input-group-validation .input-group-text,
.input-group .input-group-append .input-group-text {
    background-color: transparent;
}
.input-group .input-group-append .input-group-text {
    font-size: 1em;
    color: #fa8080;
}
.input-group-validation .input-group-text {
    width: 45px;
}
.input-group-validation .input-group-text img {
    width: 20px;
}
.input-group-validation .form-control {
    border-right: 0;
}
.input-group-validation .input-group-append .input-group-text {
    border-left: 0;
}
.form-control.failed,
.form-control:focus,
.input-group-validation .form-control.failed ~ .input-group-append .input-group-text,
.input-group-validation .form-control:focus ~ .input-group-append .input-group-text,
.input-group .form-control:hover ~ .input-group-append .input-group-text,
.input-group .form-control:focus ~ .input-group-append .input-group-text{
    border-color: rgba(239, 12, 21, 0.4);
    box-shadow: 0 0 25px -10px rgba(239, 12, 21, 0.4);
}*/
.form-control {
    transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
    border:1px solid var(--theme-border-color);
    padding: 0 8px;
}
textarea.form-control {
    padding: 8px 8px;
}
.input-group:not(.input-group-search-box) {
    border-radius: 0.25rem;
}
.input-group:not(.input-group-search-box):has(.form-control:focus),
.form-control:focus {
    box-shadow: 0 0 0 0.2rem rgba(239, 12, 21, 0.1);
}
.input-group:not(.input-group-search-box) .form-control:focus {
    box-shadow: none;
}

.form-control.failed,
.form-control:focus,
.input-group:not(.input-group-search-box) .form-control:focus ~ .input-group-append .input-group-text,
.input-group:not(.input-group-search-box) .form-control.failed ~ .input-group-append .input-group-text,
.input-group:not(.input-group-search-box):has(.form-control:focus) .input-group-prepend .input-group-text,
.input-group:not(.input-group-search-box):has(.form-control.failed) .input-group-prepend .input-group-text  {
    border:1px solid rgba(239, 12, 21, 0.2);

}

.input-group:not(.input-group-search-box) .input-group-prepend .input-group-text,
.input-group:not(.input-group-search-box) .input-group-append .input-group-text {
    background-color: transparent;
    border-color: var(--theme-border-color);
    color: rgba(0, 0, 0, 0.5);
}

.input-group:not(.input-group-search-box):has(.input-group-append) .form-control,
.input-group:not(.input-group-search-box):has(.input-group-append) .form-control:focus {
    border-right: none;
}

.input-group:not(.input-group-search-box):has(.input-group-prepend) .form-control,
.input-group:not(.input-group-search-box):has(.input-group-prepend) .form-control:focus {
    border-left: none;
}

.input-group:not(.input-group-search-box) .input-group-prepend .input-group-text img,
.input-group:not(.input-group-search-box) .input-group-append .input-group-text img {
    width: 20px;
    max-height: 20px;
}


.mm1122-btn {
    padding: 4px 16px;
    min-width: 150px;
    border-radius: 8px;
    box-shadow: 0 0 8px 1px rgba(0,0,0,0.5);
    color: rgba(0,0,0,0.9);
    line-height: 1.2;
    padding: 10px 10px 6px 10px;

}
.mm1122-btn img {
    vertical-align: middle;
    width: 22px;
    margin-right: 8px;
}
.mm1122-btn-outline-red {
    font-family: 'El Messiri';
    border: 2px solid var(--theme-color-red);
    /* box-shadow: 0 0 8px 1px rgba(239, 12, 21, 0.4); */
    box-shadow:  0px 0px 7px 0px rgba(229,5,5,1);
    letter-spacing: 1px;
}
.mm1122-btn-outline-dark {
    border: 2px solid rgba(0, 0, 0, 1);
    box-shadow: 0 0 8px 1px rgba(0, 0, 0, 0.4);
}
.mm1122-btn-outline-red:hover,
.mm1122-btn-outline-red:focus,
.mm1122-btn-outline-red:active {
    box-shadow: 0 0 8px 2px rgba(239, 12, 21, 0.4);
    color: rgba(0, 0, 0, 1);
    /* background-color: rgba(239, 12, 21, 0.05); */
    background-color: var(--theme-color-white);
}
.mm1122-btn-outline-dark:hover,
.mm1122-btn-outline-dark:focus,
.mm1122-btn-outline-dark:active {
    box-shadow: 0 0 8px 2px rgba(0,0,0, 0.4);
    color: rgba(0, 0, 0, 1);
    background-color: rgba(0,0,0,0.05);
}
.mm1122-btn:disabled,
.mm1122-btn.disabled {
    cursor: not-allowed;
    color: rgba(0,0,0,0.5);
}
.mm1122-btn-outline-dark.disabled,
.mm1122-btn-outline-dark:disabled
{
    border: 2px solid rgba(0, 0, 0, 0.2);
    box-shadow: 0 0 8px 1px rgba(0, 0, 0, 0.2);
}
.mm1122-btn-outline-dark.disabled:hover,
.mm1122-btn-outline-dark:disabled:hover,
.mm1122-btn-outline-dark.disabled:focus,
.mm1122-btn-outline-dark:disabled:focus,
.mm1122-btn-outline-dark.disabled:active,
.mm1122-btn-outline-dark:disabled:active{
    background-color: transparent;
    color: rgba(0,0,0,0.5);
}
.mm1122-btn-outline-red.disabled,
.mm1122-btn-outline-red:disabled
{
    border: 2px solid rgba(239, 12, 21, 0.2);
    box-shadow: 0 0 8px 1px rgba(239, 12, 21, 0.2);
}
.mm1122-btn-outline-red.disabled:hover,
.mm1122-btn-outline-red:disabled:hover,
.mm1122-btn-outline-red.disabled:focus,
.mm1122-btn-outline-red:disabled:focus,
.mm1122-btn-outline-red.disabled:active,
.mm1122-btn-outline-red:disabled:active{
    background-color: transparent;
    color: rgba(0,0,0,0.5);
}

.mm1122-btn.mm112-input-group-btn {
    box-shadow: none;
    border-radius: 0;
    border-width: 1px;
    padding: 4px 8px;
    min-width: 10px;
}
.mm1122-btn.mm112-input-group-btn.pills-left {
    border-top-left-radius: 45px;
    border-bottom-left-radius: 45px;
}
.mm1122-btn.mm112-input-group-btn.pills-right {
    border-top-right-radius: 45px;
    border-bottom-right-radius: 45px;
}
.mm1122-btn.mm112-input-group-btn.ml-1 {
    margin-left: 2px !important;
}

.theme-field-error {
    font-size: 0.95em;
    color: rgba(239, 12, 21, 0.8);
    text-align: right;
    margin: 0;
    padding: 4px 0;
}
.theme-field-error span {
    display: block;
}
.page-footer-message {
    position: fixed;
    bottom: 0;
    left: 0;
    right: 0;
    z-index: 2000;
    background-color: #fff;
}
.page-footer-message .page-footer-message-content {
    padding: 0.5rem 5rem;
}
.page-footer-message.footer-message-error .page-footer-message-content {
    background-color: rgba(239, 12, 21, 0.7);
    color: #fff;
}
.a-hex-image.no-hex {
    position: relative;
    filter: none;
}
.a-hex-image.no-hex::before,
.a-hex-image.no-hex .a-hex-image-content {
    clip-path: none;
    border-radius: 8px;
}
.ql-editor {
    font-family: var(--theme-font-nunito);
    font-size: 15px;
    line-height: 1.6;
    letter-spacing: 0.05em;
}
/* Set dropdown font-families */
.ql-font span[data-value="nunito"]::before, .ql-font span[data-label="nunito"]::before {
    font-family: var(--theme-font-nunito);
}
.ql-font span[data-value="el-messiri"]::before, .ql-font span[data-label="el-messiri"]::before {
    font-family: var(--theme-font-el-messiri-alone);
}
.ql-font span[data-value="san-serif"]::before, .ql-font span[data-label="san-serif"]::before {
    font-family: Sans-Serif, serif;
}
.ql-font-nunito {
    font-family: var(--theme-font-nunito) !important;
}
.ql-font-el-messiri {
    font-family: var(--theme-font-el-messiri-alone) !important;
}
.ql-font-san-serif {
    font-family: Sans-Serif, serif !important;
}
.ql-snow .ql-picker.ql-font  .ql-picker-item[data-value=nunito]::before {
    content: 'Nunito';
}
.ql-snow .ql-picker.ql-font  .ql-picker-item[data-value=el-messiri]::before {
    content: 'El Messiri';
}
/*new switch toggle*/
.theme-colored-switch {
    position: relative;
    min-width: 45px;
}
.theme-colored-switch input[type="checkbox"],
.theme-colored-switch input[type="radio"] {
    position: absolute;
    z-index: -1;
    opacity: 0;
}
.theme-colored-switch label {
    background-image: url("../icons/toggle-off-horizontal.svg");
    background-repeat: no-repeat;
    line-height: 45px;
    margin-bottom: 0;
    cursor: pointer;
    transition: all 0.15s ease;
    display: flex;
    align-items: center;
    background-size: 45px 45px;
}
.theme-colored-switch label span {
    margin-left: 50px;
    margin-top: 2px;
    white-space: nowrap;
}
.theme-colored-switch label:has(input[type="checkbox"]:checked),
.theme-colored-switch label:has(input[type="radio"]:checked) {
    background-image: url("../icons/toggle-on-red.svg");
    background-size: 43px 45px;
}
.theme-colored-switch.color-black label:has(input[type="checkbox"]:checked),
.theme-colored-switch.color-black label:has(input[type="radio"]:checked) {
    background-image: url("../icons/toggle-on-black.svg");
    background-size: 43px 45px;
}
.theme-colored-switch.switch-all label {
    background-image: url("../icons/all-toggle-off-horizontal-grey.svg");
}
.theme-colored-switch.switch-all label:has(input[type="checkbox"]:checked),
.theme-colored-switch.switch-all label:has(input[type="radio"]:checked) {
    background-image: url("../icons/all-toggle-on-horizontal.svg");
}
.theme-colored-switch label:has(input[type="checkbox"][readonly]),
.theme-colored-switch label:has(input[type="radio"][readonly]) {
    opacity: 0.5;
}
.table-editable > tbody > tr > td {
    padding: 0 21px;
    line-height: inherit;
}
.border-theme-rounded {
    border-radius: 16px;
}
.border-theme-dotted {
    border: 2px dotted var(--theme-border-color);
}
.count-down-timer {
    border: 2px dotted var(--theme-border-color);
    font-size: 1.8em;
    color: #9b9b9b;
    padding: 0.25em 0.75em;
    border-radius: 50%;
}
.action-timer-comment {
    cursor: pointer;
}
.banner-message {
    padding: 0.75em 1.25em;
}

.label-grey{color:var(--theme-color-label-grey);}
.csblock{padding: 11px 23px 6px 23px;
    border-radius: 2.75em;
    border: 0.10em solid #939393;
    color: #696969;
    position: relative;
    text-align: center;}

    .csblock2{padding: 11px 23px 6px 23px;
        border-radius: 2.75em;
        border: 1px solid #939393;
        color: #696969;
        position: relative;
        text-align: center;}

.fs1{font-size:17px;font-family:var(--theme-font-nunito);color:var(--theme-color-label-grey);}
.fs2{font-size:17px;font-family:var(--theme-font-nunito);color:var(--theme-color-label-grey-4);}
.fs11{font-size:11px;font-family:var(--theme-font-nunito);}
.fs14{font-size:14px;font-family:var(--theme-font-nunito);}
.seperator{color:var(--theme-color-grey-4);}
.icon-size-1{width: 22px;
    vertical-align: middle;
    margin: 0 8px;
    cursor: pointer;}

.tooltipi{width: 15px;height: 15px;cursor: pointer;opacity: 9;position: relative;display: inline-block;}

.ff-nunito{font-family:var(--theme-font-nunito);letter-spacing: 0.7px;}